Subject: Re: What's cooking in git.git (Nov 2018, #04; Tue, 13)

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Tue, 13 Nov 2018 20:03:27 +0100

On Tue, Nov 13 2018, Junio C Hamano wrote:

> * ab/pack-tests-cleanup (2018-10-31) 3 commits
>   (merged to 'next' on 2018-11-03 at b4a39595bb)
>  + index-pack tests: don't leave test repo dirty at end
>  + pack-objects tests: don't leave test .git corrupt at end
>  + pack-objects test: modernize style
>
>  A couple of tests used to leave the repository in a state that is
>  deliberately corrupt, which have been corrected.

Thanks. Will send the rest soon.

> * ab/range-diff-no-patch (2018-11-12) 4 commits
>  - SQUASH???
>  - range-diff: make diff option behavior (e.g. --stat) consistent
>  - range-diff: fix regression in passing along diff options
>  - range-diff doc: add a section about output stability

Sent an update just now.

> * ab/dynamic-gettext-poison (2018-11-09) 2 commits
>  - Makefile: ease dynamic-gettext-poison transition
>  - i18n: make GETTEXT_POISON a runtime option
>
>  On hold.
>  The tip one may be controversial, but at least it would get me going.
>  cf. <[email-masked]>

So just to clarify the state of this. I sent a v4 with the patch you're
referring to included, I don't think $(warning) instead of $(error)
there is going to bother anyone. I expect it's only very active list
members using this poisoin option to test anything anyway.

Otherwise this looks ready to merge down. All the feedback's been addressed.

I'm a bit surprised that people aren't excited about this whole "you
don't need to recompile git just to run this one special test mode", but
to me it seems like an obvious improvement, and the code cleanup in this
series makes subsequent gettext poison cleanup easier.

> * ab/push-dwim-dst (2018-10-29) 9 commits
>  - SQUASH???
>  - push doc: document the DWYM behavior pushing to unqualified <dst>
>  - push: add DWYM support for "git push refs/remotes/...:<dst>"
>  - push: test that <src> doesn't DWYM if <dst> is unqualified
>  - push: add an advice on unqualified <dst> push
>  - push: move unqualified refname error into a function
>  - push: improve the error shown on unqualified <dst> push
>  - i18n: remote.c: mark error(...) messages for translation
>  - remote.c: add braces in anticipation of a follow-up change
>
>  "git push $there $src:$dst" rejects when $dst is not a fully
>  qualified refname and not clear what the end user meant.  The
>  codepath has been taught to give a clearer error message, and also
>  guess where the push should go by taking the type of the pushed
>  object into account (e.g. a tag object would want to go under
>  refs/tags/).
>
>  The last few steps are questionable.
>  cf. <[email-masked]>

I will send out an update for this hopefully tonight. I was waiting for
the merge conflict with config.txt to clear up in next v.s. master.